CFPRIME DRWGRD                                                          DRWGRD      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*               Output Analysis Program for ETMSP (OAP)               *RIGHTE      4
C*               =======================================               *RIGHTE      5
C*                                                                     *RIGHTE     11
C*        copyright @(1993) Electric Power Research Institute          *RIGHTE     12
C*                                                                     *RIGHTE     13
C* EPRI reserves all rights in the software and associated             *RIGHTE     14
C* documentation as delivered. The software and its associated         *RIGHTE     15
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     16
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     17
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     18
C* of any changes or modifications to the software within two (2)      *RIGHTE     19
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     20
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     21
C* new designation sufficiently different from its then current        *RIGHTE     22
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     23
C* the current software as changed or modified.                        *RIGHTE     24
C*                                                                     *RIGHTE     25
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     26
C* directly from EPRI.                                                 *RIGHTE     27
C*                                                                     *RIGHTE     28
C* This program and supporting materials may be independently available*RIGHTE     29
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     30
C* distribution fee. The EPSC is a service of                          *RIGHTE     31
C*                                                                     *RIGHTE     32
C*                    Power Computing Company                          *RIGHTE     33
C*                    1930 Hi Line                                     *RIGHTE     34
C*                    Dallas, Tx 75207                                 *RIGHTE     35
C*                                                                     *RIGHTE     36
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     37
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     38
C*                                                                     *RIGHTE     39
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     40
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     41
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     42
C*    DOCUMENTATION; OR                                                *RIGHTE     43
C*                                                                     *RIGHTE     44
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     45
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     46
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     47
C*                                                                     *RIGHTE     48
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     49
C* THEREOF.                                                            *RIGHTE     50
C*                                                                     *RIGHTE     51
C***********************************************************************RIGHTE     52
        SUBROUTINE DRWGRD(NXDIV,NYDIV,TT1)                              DRWGRD      3
CD                                                                      DRWGRD      4
CD             THIS ROUTINE DRAWS GRID LINES                            DRWGRD      5
CD             WITH NEW LINE STYLE                                      DRWGRD      6
CD                                                                      DRWGRD      7
CD             CALLING PARAMETERS :                                     DRWGRD      8
CD                                                                      DRWGRD      9
CD                         NXDIV  - NO. OF DIVISION IN X-AXIS           DRWGRD     10
CD                         NYDIV  - NO. OF DIVISION IN Y-AXIS           DRWGRD     11
CD                         TT1    - START OF X-AXIS                     DRWGRD     12
CD                                                                      DRWGRD     13
      INCLUDE 'GPINFO.INS'                                              DRWGRD     14
        XLEN=BXE-BXS                                                    DRWGRD     15
        YLEN=BYE-BYS                                                    DRWGRD     16
C       VERTICAL GRID LINES                                             DRWGRD     17
        X1=(TT1-XSTVAL)/XDELTA-XLEN/XDIV                                DRWGRD     18
        Y1=0                                                            DRWGRD     19
        X2=0                                                            DRWGRD     20
        Y2=YLEN                                                         DRWGRD     21
        DO 10 I=1,NXDIV                                                 DRWGRD     22
          X1=X1+XLEN/XDIV                                               DRWGRD     23
          X2=X1                                                         DRWGRD     24
          IF(X1.GT.XLEN)GOTO 15                                         DRWGRD     25
*IF LAHEY                                                               DRWGRD     26
*ENDIF                                                                  DRWGRD     28
*IF PINDEP                                                              DRWGRD     29
*ENDIF                                                                  DRWGRD     32
*IF VERSAP                                                              DRWGRD     33
*ENDIF                                                                  DRWGRD     36
*IF CALCOM                                                              DRWGRD     37
*ENDIF                                                                  DRWGRD     40
*IF LAHEY                                                               DRWGRD     41
*ENDIF                                                                  DRWGRD     44
  10    CONTINUE                                                        DRWGRD     45
C       HORIZONTAL GRID LINES                                           DRWGRD     46
  15    CONTINUE                                                        DRWGRD     47
        X1=0                                                            DRWGRD     48
        Y1=0                                                            DRWGRD     49
        X2=XLEN                                                         DRWGRD     50
        Y2=0                                                            DRWGRD     51
        DO 20 I=1,NYDIV-1                                               DRWGRD     52
          Y1=Y1+YLEN/NYDIV                                              DRWGRD     53
          Y2=Y1                                                         DRWGRD     54
*IF PINDEP                                                              DRWGRD     55
*ENDIF                                                                  DRWGRD     58
*IF VERSAP                                                              DRWGRD     59
*ENDIF                                                                  DRWGRD     62
*IF CALCOM                                                              DRWGRD     63
*ENDIF                                                                  DRWGRD     66
*IF LAHEY                                                               DRWGRD     67
*ENDIF                                                                  DRWGRD     70
  20    CONTINUE                                                        DRWGRD     71
        RETURN                                                          DRWGRD     72
        END                                                             DRWGRD     73
                                                                        DRWGRD     74
